/*$maincolor : rgba(79,172,254,1);*/
/*$subcolor : rgba(0,242,254,1);*/
html {
  background-color: #1E1E1E;
  font-family: 'kanit'; }

body {
  margin: 0px; }

a, a:hover {
  text-decoration: none; }

::-webkit-scrollbar {
  width: 15px; }

::-webkit-scrollbar-track {
  background-color: #1E1E1E;
  /*background-color: transparent;*/ }

::-webkit-scrollbar-thumb {
  /*background-color: $midcolor;*/
  border: solid 5px #1E1E1E;
  background-color: #1D3333;
  height: 10px; }

.mainshade {
  background: #2af598;
  background: -moz-linear-gradient(-45deg, #2af598 0%, #009efd 100%);
  background: -webkit-gradient(left top, right bottom, color-stop(0%, #2af598), color-stop(100%, #009efd));
  background: -webkit-linear-gradient(-45deg, #2af598 0%, #009efd 100%);
  background: -o-linear-gradient(-45deg, #2af598 0%, #009efd 100%);
  background: -ms-linear-gradient(-45deg, #2af598 0%, #009efd 100%);
  background: linear-gradient(135deg, #2af598 0%, #009efd 100%); }
  .mainshade.textmasked {
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent; }

#scene1 {
  /*display: none;*/
  position: fixed;
  top: 0%;
  left: 0%;
  right: 0%;
  bottom: 0%;
  z-index: 10;
  background-color: #1E1E1E;
  transition: 1s 1s; }
  #scene1.active {
    opacity: 0;
    -webkit-animation: dismiss 0s 2s forwards;
    animation: dismiss 0s 2s forwards; }

@-webkit-keyframes dismiss {
  0% {
    -webkit-transform: translateX(0%);
    transform: translateX(0%); }
  100% {
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%); } }

@keyframes dismiss {
  0% {
    -webkit-transform: translateX(0%);
    transform: translateX(0%); }
  100% {
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%); } }
    #scene1.active .uncover {
      left: 0%;
      border-left: 0vw solid #2af598; }
      #scene1.active .uncover > div {
        left: -10%;
        /*border-left: 0vw solid $maincolor;*/ }
  #scene1 .maincover {
    color: #FE3570;
    font-size: 0rem;
    text-align: center;
    white-space: nowrap;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: default; }
    #scene1 .maincover .maincontainer {
      position: fixed;
      top: 50%;
      left: 50%;
      -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
      transform: translate(-50%, -50%);
      opacity: 0;
      -webkit-animation: ini_main 1s 1s forwards;
      animation: ini_main 1s 1s forwards; }

@-webkit-keyframes ini_main {
  0% {
    opacity: 0; }
  100% {
    opacity: 1; } }

@keyframes ini_main {
  0% {
    opacity: 0; }
  100% {
    opacity: 1; } }
      #scene1 .maincover .maincontainer.active span {
        margin: 0px 0vw; }
      #scene1 .maincover .maincontainer > span {
        line-height: normal;
        font-size: 9vw;
        font-weight: 600;
        margin: 0px 3vw;
        transition: 1s;
        -webkit-animation: ini_span 1s 1s forwards;
        animation: ini_span 1s 1s forwards; }

@-webkit-keyframes ini_span {
  0% {
    margin: 0px 3vw; }
  100% {
    margin: 0px 0vw; } }

@keyframes ini_span {
  0% {
    margin: 0px 3vw; }
  100% {
    margin: 0px 0vw; } }
    #scene1 .maincover .welcometext {
      position: fixed;
      bottom: 3%;
      left: 50%;
      color: white;
      font-size: 1.2rem;
      text-transform: uppercase;
      font-weight: 100;
      opacity: 0.7;
      -webkit-transform: translate(-50%, 0%);
      -ms-transform: translate(-50%, 0%);
      transform: translate(-50%, 0%); }
  #scene1 .uncover {
    position: fixed;
    top: 0%;
    left: 100%;
    right: 0%;
    bottom: 0%;
    background-color: #1E1E1E;
    border-left: 20vw solid #009efd;
    transition: 0.5s; }
    #scene1 .uncover > div {
      position: fixed;
      top: 0%;
      left: 120%;
      right: 0%;
      bottom: 0%;
      background-color: #1E1E1E;
      border-left: 10vw solid #009efd;
      transition: 0.7s; }

#scene2 {
  /*display: none;*/
  /*padding: 15%;*/
  height: 100vh;
  padding: 0% 10%;
  overflow: hidden;
  z-index: 5; }
  #scene2 h3 {
    margin: 20% 0px 30px;
    font-size: 2rem;
    font-weight: 300;
    color: white; }
  #scene2 .bolding {
    height: 3px; }
  #scene2 .text {
    color: white;
    font-size: 1.3rem;
    line-height: 2.2rem;
    font-weight: 200;
    opacity: 0.8; }
    #scene2 .text p {
      max-width: 700px;
      width: 60%; }
      @media screen and (max-width: 767px) {
        #scene2 .text p {
          font-size: 0.7em;
          width: initial; } }
  #scene2 .testbox {
    display: none;
    /*display: inline-block;*/
    height: 10px;
    width: 10px;
    background-color: #16CCC8;
    -webkit-animation: fadein 1s forwards;
    animation: fadein 1s forwards;
    opacity: 0; }

@-webkit-keyframes fadein {
  0% {
    opacity: 0; }
  100% {
    opacity: 1; } }

@keyframes fadein {
  0% {
    opacity: 0; }
  100% {
    opacity: 1; } }
    #scene2 .testbox:nth-of-type(1) {
      -webkit-animation-delay: 0.3s;
      animation-delay: 0.3s; }
    #scene2 .testbox:nth-of-type(2) {
      -webkit-animation-delay: 0.6s;
      animation-delay: 0.6s; }
    #scene2 .testbox:nth-of-type(3) {
      -webkit-animation-delay: 0.9s;
      animation-delay: 0.9s; }
    #scene2 .testbox:nth-of-type(4) {
      -webkit-animation-delay: 1.2s;
      animation-delay: 1.2s; }
    #scene2 .testbox:nth-of-type(5) {
      -webkit-animation-delay: 1.5s;
      animation-delay: 1.5s; }
    #scene2 .testbox:nth-of-type(6) {
      -webkit-animation-delay: 1.8s;
      animation-delay: 1.8s; }
    #scene2 .testbox:nth-of-type(7) {
      -webkit-animation-delay: 2.1s;
      animation-delay: 2.1s; }
    #scene2 .testbox:nth-of-type(8) {
      -webkit-animation-delay: 2.4s;
      animation-delay: 2.4s; }
    #scene2 .testbox:nth-of-type(9) {
      -webkit-animation-delay: 2.7s;
      animation-delay: 2.7s; }
    #scene2 .testbox:nth-of-type(10) {
      -webkit-animation-delay: 3s;
      animation-delay: 3s; }
  #scene2 .line-set {
    top: 38% !important;
    left: -20% !important;
    opacity: 0.1; }
    @media screen and (max-width: 767px) {
      #scene2 .line-set {
        display: none !important; } }
    #scene2 .line-set .line-a, #scene2 .line-set .line-b {
      position: absolute;
      width: 140vw;
      background-color: #16CCC8; }
    #scene2 .line-set .line-a {
      height: 20px;
      -webkit-transform: rotateZ(-15deg) translateY(15vw);
      -ms-transform: rotate(-15deg) translateY(15vw);
      transform: rotateZ(-15deg) translateY(15vw); }
    #scene2 .line-set .line-b {
      height: 40px;
      -webkit-transform: rotateZ(-45deg) translateY(25vw);
      -ms-transform: rotate(-45deg) translateY(25vw);
      transform: rotateZ(-45deg) translateY(25vw); }
  #scene2 #particles_01 {
    position: absolute;
    top: 0%;
    left: 0%;
    right: 0%;
    bottom: 0%;
    z-index: -1; }

#scene3 {
  display: none;
  position: relative;
  height: 100vh;
  background-color: grey;
  overflow: hidden; }
  #scene3 .bg {
    /*		position: absolute;
		top: 10%;
		left: 10%;
		right: 10%;
		bottom: 10%;*/
    position: relative;
    /*background-color: pink;*/
    height: 90vh;
    width: 90vh;
    margin: auto;
    background-image: url("../image/ipadfloat.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center; }
    #scene3 .bg .displayer {
      position: absolute;
      top: 30.5%;
      left: 35%;
      right: 29%;
      bottom: 41%;
      -webkit-perspective: 730px;
      perspective: 730px;
      -webkit-perspective-origin: 30% 30%;
      perspective-origin: 30% 30%;
      /*background-color: pink;*/
      /*opacity: 0.5;*/ }
    #scene3 .bg .projectexample {
      position: absolute;
      top: 0%;
      left: 0%;
      right: 0%;
      bottom: 0%;
      /*filter: sepia(0) saturate(2);*/
      /*background-image: url("../image/ipadfloat.png");*/
      background-color: orange;
      background-size: contain;
      background-repeat: no-repeat;
      background-position: center;
      /*transform: rotateX(42deg) rotateY(11deg) rotateZ(-27deg);*/
      /*transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg);*/
      -webkit-transform: rotateX(41deg) rotateY(3deg) rotateZ(-24deg);
      transform: rotateX(41deg) rotateY(3deg) rotateZ(-24deg);
      /*transform: rotate3d(0,3,0,45deg);*/
      /*perspective: */
      z-index: 2;
      overflow: hidden;
      transition: 0.3s; }
      #scene3 .bg .projectexample img {
        width: 100%; }
      #scene3 .bg .projectexample div {
        position: absolute;
        top: 0%;
        left: 50%;
        right: 50%;
        bottom: 0%;
        border-right: 1px solid red;
        background-color: red; }
      #scene3 .bg .projectexample section {
        position: absolute;
        top: 50%;
        left: 0%;
        right: 0%;
        bottom: 50%;
        border-bottom: 1px solid red;
        background-color: red; }

#scene4 {
  height: 100vh;
  background-color: orange;
  overflow: hidden;
  transition: background-color 0.5s 1s; }
  #scene4 .headline {
    position: absolute;
    top: 70% !important;
    left: 5% !important;
    z-index: 5;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: default; }
    #scene4 .headline h2 {
      font-size: 9rem;
      margin: 0px;
      line-height: 1em;
      color: white;
      font-weight: 500;
      text-shadow: 0px 0px 50px rgba(0, 0, 0, 0.2); }
  #scene4 .workname {
    position: absolute;
    top: 10% !important;
    right: 5% !important;
    left: auto !important;
    z-index: 20;
    /*line-height: 30vh;*/ }
    #scene4 .workname h3 {
      font-size: 5rem;
      margin: 0px;
      line-height: 1em;
      color: white;
      font-weight: 500;
      text-shadow: 0px 0px 50px rgba(0, 0, 0, 0.2);
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      cursor: default;
      opacity: 0;
      -webkit-animation: refresh 0.3s 2s forwards;
      animation: refresh 0.3s 2s forwards; }

@-webkit-keyframes refresh {
  0% {
    opacity: 0; }
  100% {
    opacity: 1; } }

@keyframes refresh {
  0% {
    opacity: 0; }
  100% {
    opacity: 1; } }
  #scene4 .worklists {
    text-align: center; }
    #scene4 .worklists .worklist {
      display: inline-block;
      width: 20px;
      line-height: 20px;
      margin-right: 4px;
      text-align: center;
      color: white;
      border: 2px solid white;
      background-color: rgba(0, 0, 0, 0.3);
      border-radius: 100%;
      opacity: 0.7;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      cursor: pointer;
      transition: 0.3s; }
      #scene4 .worklists .worklist:hover {
        opacity: 1; }
      #scene4 .worklists .worklist.active {
        color: black;
        background-color: white;
        opacity: 1; }
  #scene4 .bg {
    position: relative;
    /*background-color: pink;*/
    /*height: 120vh;*/
    /*width: 120vh;*/
    height: 160vh;
    width: 160vh;
    -webkit-transform: scale(0.8);
    -ms-transform: scale(0.8);
    transform: scale(0.8);
    -webkit-transform-origin: top;
    -ms-transform-origin: top;
    transform-origin: top;
    margin: auto;
    background-image: url("../image/814px-IPad_1_PSD_Mockup.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center; }
    #scene4 .bg .projectexam {
      position: absolute;
      top: 20%;
      left: 9.3%;
      right: 10%;
      bottom: 21%;
      overflow: hidden;
      /*			top: 14%;
			left: -0.7%;
			right: 0.3%;
			transform: scale(0.8);
			bottom: 13%;*/
      /*filter: sepia(0) saturate(2);*/
      /*background-image: url("../image/project_a.jpg");*/
      /*background-color: orange;*/
      background-size: cover;
      background-repeat: no-repeat;
      background-position: center;
      /*background-color: green;*/ }
    #scene4 .bg img {
      width: 100%; }
    #scene4 .bg iframe {
      width: calc(100% + 20px);
      height: 100%;
      overflow: hidden;
      border: none;
      opacity: 0;
      -webkit-animation: refresh 1s 1.5s forwards;
      animation: refresh 1s 1.5s forwards; }

@keyframes refresh {
  0% {
    opacity: 0; }
  100% {
    opacity: 1; } }
  #scene4 .line-set {
    top: 38% !important;
    left: -20% !important;
    opacity: 0.3;
    z-index: -1; }
    @media screen and (max-width: 767px) {
      #scene4 .line-set {
        display: none !important; } }
    #scene4 .line-set .line-a, #scene4 .line-set .line-b {
      position: absolute;
      width: 140vw;
      background-color: white;
      transition: 0.5s 1s; }
    #scene4 .line-set .line-a {
      height: 20px;
      -webkit-transform: rotateZ(5deg) translateY(15vw);
      -ms-transform: rotate(5deg) translateY(15vw);
      transform: rotateZ(5deg) translateY(15vw); }
    #scene4 .line-set .line-b {
      height: 40px;
      -webkit-transform: rotateZ(-25deg) translateY(-5vw);
      -ms-transform: rotate(-25deg) translateY(-5vw);
      transform: rotateZ(-25deg) translateY(-5vw); }
    #scene4 .line-set[data-pose='1'] .line-a, #scene4 .line-set[data-pose='1'] .line-b {
      background-color: white; }
    #scene4 .line-set[data-pose='1'] .line-a {
      -webkit-transform: rotateZ(5deg) translateY(15vw);
      -ms-transform: rotate(5deg) translateY(15vw);
      transform: rotateZ(5deg) translateY(15vw); }
    #scene4 .line-set[data-pose='1'] .line-b {
      -webkit-transform: rotateZ(-25deg) translateY(-5vw);
      -ms-transform: rotate(-25deg) translateY(-5vw);
      transform: rotateZ(-25deg) translateY(-5vw); }
    #scene4 .line-set[data-pose='2'] .line-a, #scene4 .line-set[data-pose='2'] .line-b {
      background-color: #1F2700; }
    #scene4 .line-set[data-pose='2'] .line-a {
      -webkit-transform: rotateZ(-10deg) translateY(-15vw);
      -ms-transform: rotate(-10deg) translateY(-15vw);
      transform: rotateZ(-10deg) translateY(-15vw); }
    #scene4 .line-set[data-pose='2'] .line-b {
      -webkit-transform: rotateZ(-70deg) translateY(-35vw);
      -ms-transform: rotate(-70deg) translateY(-35vw);
      transform: rotateZ(-70deg) translateY(-35vw); }
    #scene4 .line-set[data-pose='3'] .line-a, #scene4 .line-set[data-pose='3'] .line-b {
      background-color: black; }
    #scene4 .line-set[data-pose='3'] .line-a {
      -webkit-transform: rotateZ(-35deg) translateY(35vw);
      -ms-transform: rotate(-35deg) translateY(35vw);
      transform: rotateZ(-35deg) translateY(35vw); }
    #scene4 .line-set[data-pose='3'] .line-b {
      -webkit-transform: rotateZ(30deg) translateY(-15vw);
      -ms-transform: rotate(30deg) translateY(-15vw);
      transform: rotateZ(30deg) translateY(-15vw); }
    #scene4 .line-set[data-pose='4'] .line-a, #scene4 .line-set[data-pose='4'] .line-b {
      background-color: #0B5988; }
    #scene4 .line-set[data-pose='4'] .line-a {
      -webkit-transform: rotateZ(-135deg) translateY(-25vw);
      -ms-transform: rotate(-135deg) translateY(-25vw);
      transform: rotateZ(-135deg) translateY(-25vw); }
    #scene4 .line-set[data-pose='4'] .line-b {
      -webkit-transform: rotateZ(190deg) translateY(-15vw);
      -ms-transform: rotate(190deg) translateY(-15vw);
      transform: rotateZ(190deg) translateY(-15vw); }
    #scene4 .line-set[data-pose='5'] .line-a, #scene4 .line-set[data-pose='5'] .line-b {
      background-color: #E0915F; }
    #scene4 .line-set[data-pose='5'] .line-a {
      -webkit-transform: rotateZ(-200deg) translateY(15vw);
      -ms-transform: rotate(-200deg) translateY(15vw);
      transform: rotateZ(-200deg) translateY(15vw); }
    #scene4 .line-set[data-pose='5'] .line-b {
      -webkit-transform: rotateZ(340deg) translateY(-10vw);
      -ms-transform: rotate(340deg) translateY(-10vw);
      transform: rotateZ(340deg) translateY(-10vw); }
    #scene4 .line-set[data-pose='6'] .line-a, #scene4 .line-set[data-pose='6'] .line-b {
      background-color: #066E9D; }
    #scene4 .line-set[data-pose='6'] .line-a {
      -webkit-transform: rotateZ(-270deg) translateY(-40vw);
      -ms-transform: rotate(-270deg) translateY(-40vw);
      transform: rotateZ(-270deg) translateY(-40vw); }
    #scene4 .line-set[data-pose='6'] .line-b {
      -webkit-transform: rotateZ(310deg) translateY(30vw);
      -ms-transform: rotate(310deg) translateY(30vw);
      transform: rotateZ(310deg) translateY(30vw); }
    #scene4 .line-set[data-pose='7'] .line-a, #scene4 .line-set[data-pose='7'] .line-b {
      background-color: #7A1A4B; }
    #scene4 .line-set[data-pose='7'] .line-a {
      -webkit-transform: rotateZ(-350deg) translateY(10vw);
      -ms-transform: rotate(-350deg) translateY(10vw);
      transform: rotateZ(-350deg) translateY(10vw); }
    #scene4 .line-set[data-pose='7'] .line-b {
      -webkit-transform: rotateZ(320deg) translateY(-20vw);
      -ms-transform: rotate(320deg) translateY(-20vw);
      transform: rotateZ(320deg) translateY(-20vw); }
